%bcond_without perl_Inline_CPP_enables_optional_test

Name:           perl-Inline-CPP
Version:        0.80
Release:    2%{?dist}
Summary:        Write Perl subroutines and classes in C++
License:        Artistic 2.0
URL:            https://metacpan.org/release/Inline-CPP
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVIDO/Inline-CPP-%{version}.tar.gz
Patch0:         Inline-CPP-0.79-Non-interactive-Makefile.PL.patch
Patch1:         Inline-CPP-0.79-Install-into-architecture-specific-path.patch
%global debug_package %{nil}
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.15
BuildRequires:  perl(ExtUtils::MakeMaker) >= 7.04
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl-devel
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(Inline::C) >= 0.80
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Inline) >= 0.82
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 1.001009
%if %{with perl_Inline_CPP_enables_optional_test}
BuildRequires:  perl(Inline::Filters)
%endif
Requires:       gcc-c++(%{__isa})
Requires:       perl-devel(%{__isa})
Requires:       perl(Inline::C) >= 0.80

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Inline::C\\)$

%description
The Inline::CPP Perl module allows you to put C++ source code directly "inline"
in a Perl script or module. You code classes or functions in C++, and you
can use them as if they were written in Perl.

%prep
%setup -q -n Inline-CPP-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.80-2
- Rebuilt for loongarch64

* Mon Jul 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.80-1
- initial build
